Obtener un formulario dinámico
curl --request GET \
--url https://api.ugps.io/api/dynamic-forms/{dynamicFormId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ugps.io/api/dynamic-forms/{dynamicFormId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ugps.io/api/dynamic-forms/{dynamicFormId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"name": "Inspección diaria",
"status": "active",
"fields": [
{
"fieldId": "<string>",
"type": "text",
"label": "Estado de frenos",
"required": true,
"helperText": "<string>",
"minLength": 123,
"maxLength": 123,
"min": 123,
"max": 123,
"options": [
{
"optionId": "3f1c2a8e-4b8d-4c1a-9a6e-7d2f0b1c9e55",
"label": "Dañado",
"critical": true
}
],
"minChecked": 123,
"maxChecked": 123,
"criticalWhen": true,
"maxStars": 123,
"disableFuture": true,
"disablePast": true,
"maxFiles": 123,
"allowedExtensions": [
"pdf"
]
}
],
"_id": "<string>",
"clientId": "<string>",
"version": 123,
"description": "<string>",
"assetIds": [
"<string>"
],
"assetGroupIds": [
"<string>"
],
"allAssets": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"error": "Recurso no encontrado"
}{
"message": "Error interno del servidor"
}Formularios dinámicos
Obtener un formulario dinámico
Permisos requeridos: access_dynamic_forms
GET
/
api
/
dynamic-forms
/
{dynamicFormId}
Obtener un formulario dinámico
Authorizations
bearerAuthcookieAuth
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.